import { FragmentSpreadNode, FragmentDefinitionNode, OperationDefinitionNode, NamedTypeNode } from 'graphql';
import { Definition, FragmentInfo, Uri, ObjectTypeInfo } from 'graphql-language-service-types';
import { Range } from 'graphql-language-service-utils';
export declare type DefinitionQueryResult = {
    queryRange: Range[];
    definitions: Definition[];
};
export declare const LANGUAGE = "GraphQL";
export declare function getDefinitionQueryResultForNamedType(text: string, node: NamedTypeNode, dependencies: Array<ObjectTypeInfo>): Promise<DefinitionQueryResult>;
export declare function getDefinitionQueryResultForFragmentSpread(text: string, fragment: FragmentSpreadNode, dependencies: Array<FragmentInfo>): Promise<DefinitionQueryResult>;
export declare function getDefinitionQueryResultForDefinitionNode(path: Uri, text: string, definition: FragmentDefinitionNode | OperationDefinitionNode): DefinitionQueryResult;
//# sourceMappingURL=getDefinition.d.ts.map